git://git.exim.org
/
users
/
jgh
/
exim.git
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
tidying: coverity issues
[users/jgh/exim.git]
/
src
/
scripts
/
Configure-Makefile
diff --git
a/src/scripts/Configure-Makefile
b/src/scripts/Configure-Makefile
index 5e8a7268311b5b73b6db0202caedca959039b026..8f40d1c95c7af1e5cdf81ae741db4df5caf866c6 100755
(executable)
--- a/
src/scripts/Configure-Makefile
+++ b/
src/scripts/Configure-Makefile
@@
-110,7
+110,9
@@
do if test -r ../$f
echo "# End of $f"
echo ""
fi
echo "# End of $f"
echo ""
fi
-done >> $mft || exit 1
+done \
+ | sed 's/^TMPDIR=/EXIM_&/' \
+ >> $mft || exit 1
# handle pkg-config
# beware portability of extended regexps with sed.
# handle pkg-config
# beware portability of extended regexps with sed.
@@
-142,6
+144,10
@@
then
fi
if [ ".$need_this" != "." ]; then
tls_include=`pkg-config --cflags $pc_value`
fi
if [ ".$need_this" != "." ]; then
tls_include=`pkg-config --cflags $pc_value`
+ if [ $? -ne 0 ]; then
+ echo >&2 "*** Missing pkg-config for package $pc_value (for Exim $var build option)"
+ exit 1
+ fi
tls_libs=`pkg-config --libs $pc_value`
echo "TLS_INCLUDE=$tls_include"
echo "TLS_LIBS=$tls_libs"
tls_libs=`pkg-config --libs $pc_value`
echo "TLS_INCLUDE=$tls_include"
echo "TLS_LIBS=$tls_libs"
@@
-161,6
+167,10
@@
then
else
# main binary
cflags=`pkg-config --cflags $pc_value`
else
# main binary
cflags=`pkg-config --cflags $pc_value`
+ if [ $? -ne 0 ]; then
+ echo >&2 "*** Missing pkg-config for package $pc_value (for Exim $var build option)"
+ exit 1
+ fi
libs=`pkg-config --libs $pc_value`
if [ "$var" != "${var#LOOKUP_}" ]; then
echo "LOOKUP_INCLUDE += $cflags"
libs=`pkg-config --libs $pc_value`
if [ "$var" != "${var#LOOKUP_}" ]; then
echo "LOOKUP_INCLUDE += $cflags"
@@
-178,6
+188,10
@@
then
case $PCRE_CONFIG in
yes|YES|y|Y)
cflags=`pcre-config --cflags`
case $PCRE_CONFIG in
yes|YES|y|Y)
cflags=`pcre-config --cflags`
+ if [ $? -ne 0 ]; then
+ echo >&2 "*** Missing pcre-config for regular expression support"
+ exit 1
+ fi
libs=`pcre-config --libs`
if [ ".$cflags" != "." ]; then
echo "INCLUDE += $cflags"
libs=`pcre-config --libs`
if [ ".$cflags" != "." ]; then
echo "INCLUDE += $cflags"
@@
-196,6
+210,10
@@
then
echo "# End of pkg-config fixups"
echo
) >> $mft
echo "# End of pkg-config fixups"
echo
) >> $mft
+ subexit=$?
+ if [ $subexit -ne 0 ]; then
+ exit $subexit
+ fi
fi
rm -f $mftt
fi
rm -f $mftt